#pragma once
/**
 * @addtogroup app_pdm Probe Data Module
 * @{
 *
 * @file
 */

//------------------------------------------------------------------------------
// Copyright (c) 2016 Cohda Wireless Pty Ltd
//-----------------------------------------------------------------------------

#ifndef __PROBE_DATA_MODULE_H__
#define __PROBE_DATA_MODULE_H__

// ----------------------------------------------------------------------------
// Includes
// ----------------------------------------------------------------------------
#include "conf.h"

#include <stdio.h>
#include <stdbool.h>

#ifdef __cplusplus
extern "C"
{
#endif

//------------------------------------------------------------------------------
// Macros & Constants
//------------------------------------------------------------------------------


//------------------------------------------------------------------------------
// Type definitions
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
// Variables
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
// Function Prototypes
//------------------------------------------------------------------------------

int  PDM_Init(void);
void PDM_Deinit(void);

#ifdef __cplusplus
}
#endif

#endif // __PROBE_DATA_MODULE_H__

/**
 * @}
 */
